InvokeDynamicCPInfo (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional.depend.constantpool, class: InvokeDynamicCPInfo

# Class InvokeDynamicCPInfo

java.lang.Object
org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantPoolEntry
org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantCPInfo
org.apache.tools.ant.taskdefs.optional.depend.constantpool.InvokeDynamicCPInfo

public class InvokeDynamicCPInfo extends ConstantCPInfo
An InvokeDynamic CP Info

- ## Field Summary

  ### Fields inherited from class ConstantPoolEntry

  `CONSTANT_CLASS, CONSTANT_DOUBLE, CONSTANT_DYNAMIC, CONSTANT_FIELDREF, CONSTANT_FLOAT, CONSTANT_INTEGER, CONSTANT_INTERFACEMETHODREF, CONSTANT_INVOKEDYNAMIC, CONSTANT_LONG, CONSTANT_METHODHANDLE, CONSTANT_METHODREF, CONSTANT_METHODTYPE, CONSTANT_MODULEINFO, CONSTANT_NAMEANDTYPE, CONSTANT_PACKAGEINFO, CONSTANT_STRING, CONSTANT_UTF8`
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTANT_CLASS`
  Tag value for Class entries.
  `static final int`
  `CONSTANT_DOUBLE`
  Tag value for Double entries.
  `static final int`
  `CONSTANT_DYNAMIC`
  Tag value for Dynamic entries
  `static final int`
  `CONSTANT_FIELDREF`
  Tag value for Field Reference entries.
  `static final int`
  `CONSTANT_FLOAT`
  Tag value for Float entries.
  `static final int`
  `CONSTANT_INTEGER`
  Tag value for Integer entries.
  `static final int`
  `CONSTANT_INTERFACEMETHODREF`
  Tag value for Interface Method Reference entries.
  `static final int`
  `CONSTANT_INVOKEDYNAMIC`
  Tag value for InvokeDynamic entries
  `static final int`
  `CONSTANT_LONG`
  Tag value for Long entries.
  `static final int`
  `CONSTANT_METHODHANDLE`
  Tag value for Method Handle entries
  `static final int`
  `CONSTANT_METHODREF`
  Tag value for Method Reference entries.
  `static final int`
  `CONSTANT_METHODTYPE`
  Tag value for Method Type entries
  `static final int`
  `CONSTANT_MODULEINFO`
  Tag value for CONSTANT_Module_info entry
  `static final int`
  `CONSTANT_NAMEANDTYPE`
  Tag value for Name and Type entries.
  `static final int`
  `CONSTANT_PACKAGEINFO`
  Tag value for CONSTANT_Package_info entry (within a module)
  `static final int`
  `CONSTANT_STRING`
  Tag value for String entries.
  `static final int`
  `CONSTANT_UTF8`
  Tag value for UTF8 entries.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvokeDynamicCPInfo()`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `read(DataInputStream cpStream)`
  read a constant pool entry from a class stream.
  `void`
  `resolve(ConstantPool constantPool)`
  Resolve this constant pool entry with respect to its dependents in the constant pool.
  `String`
  `toString()`
  Print a readable version of the constant pool entry.

  ### Methods inherited from class ConstantCPInfo

  `getValue, setValue`
  Modifier and Type
  Method
  Description
  `Object`
  `getValue()`
  Get the value of the constant.
  `void`
  `setValue(Object newValue)`
  Set the constant value.

  ### Methods inherited from class ConstantPoolEntry

  `getNumEntries, getTag, isResolved, readEntry`
  Modifier and Type
  Method
  Description
  `final int`
  `getNumEntries()`
  Get the number of Constant Pool Entry slots within the constant pool occupied by this entry.
  `int`
  `getTag()`
  Get the Entry's type tag.
  `boolean`
  `isResolved()`
  Indicates whether this entry has been resolved.
  `static ConstantPoolEntry`
  `readEntry(DataInputStream cpStream)`
  Read a constant pool entry from a stream.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InvokeDynamicCPInfo

    public InvokeDynamicCPInfo()
    Constructor.

- ## Method Details

  - ### read

    public void read(DataInputStream cpStream) throws IOException
    read a constant pool entry from a class stream.
    Specified by:
      `read` in class `ConstantPoolEntry`
    Parameters:
      `cpStream` - the DataInputStream which contains the constant pool entry to be read.
    Throws:
      `IOException` - if there is a problem reading the entry from the stream.

  - ### toString

    public String toString()
    Print a readable version of the constant pool entry.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string representation of this constant pool entry.

  - ### resolve

    public void resolve(ConstantPool constantPool)
    Resolve this constant pool entry with respect to its dependents in the constant pool.
    Overrides:
      `resolve` in class `ConstantPoolEntry`
    Parameters:
      `constantPool` - the constant pool of which this entry is a member and against which this entry is to be resolved.